org.apache.thrift.protocol

## Class TJSONProtocol.Factory

- java.lang.Object
- - org.apache.thrift.protocol.TJSONProtocol.Factory

- All Implemented Interfaces:
    java.io.Serializable, TProtocolFactory
  Enclosing class:
    TJSONProtocol

      public static class TJSONProtocol.Factory
      extends java.lang.Object
      implements TProtocolFactory

  Factory for JSON protocol objects
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJSONProtocol.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProtocol` | `getProtocol(TTransport trans)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TJSONProtocol.Factory

          public TJSONProtocol.Factory()

  - ### Method Detail

    - #### getProtocol

          public TProtocol getProtocol(TTransport trans)

      Specified by:
        `getProtocol` in interface `TProtocolFactory`